Bug 394151 - gdm puts up blank X screen
gdm puts up blank X screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
low Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 08:33 EST by Jonathan Kamens
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 10:56:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-11-21 08:33:32 EST
After upgrading to gdm-2.21.2-0.2007.11.19.2.fc9 and rebooting I get a blank
screen with a mouse cursor rather than a gdm login screen.

Some of these syslog messages are probably relevant:

Nov 21 06:41:22 jik2 gconfd (gdm-3263): Failed to load source
"xml:readonly:/var/lib/gdm/.gconf.mandatory": Couldn't resolve address for
configuration source: Can't read from or write to the XML root directory in the
address "xml:readonly:/var/lib/gdm/.gconf.mandatory"
Nov 21 06:41:22 jik2 gconfd (gdm-3263): Failed to load source
"xml:readwrite:/var/lib/gdm/.gconf": Failed: Could not make directory
`/var/lib/gdm/.gconf': Permission denied
Nov 21 06:41:22 jik2 gconfd (gdm-3263): Failed to open saved state file: Failed:
Failed to open gconfd logfile; won't be able to restore listeners after gconfd
shutdown (No such file or directory)
Nov 21 06:41:23 jik2 gdm-simple-greeter[3258]: WARNING: Error starting WM:
Failed to execute child process "gtk-window-decorator" (No such file or directory)
Nov 21 06:41:23 jik2 gconfd (gdm-3263): Failed to open saved state file: Failed:
Failed to open gconfd logfile; won't be able to restore listeners after gconfd
shutdown (No such file or directory)
Nov 21 06:41:23 jik2 gconfd (gdm-3263): Failed to log addition of listener
gdm-settings-daemon (Failed: Failed to open gconfd logfile; won't be able to
restore listeners after gconfd shutdown (No such file or directory));will not be
able to restore this listener on gconfd restart, resulting in unreliable
notification of configuration changes.
Nov 21 06:41:24 jik2 gconfd (gdm-3263): Failed to open saved state file: Failed:
Failed to open gconfd logfile; won't be able to restore listeners after gconfd
shutdown (No such file or directory)
Nov 21 06:41:24 jik2 gconfd (gdm-3263): Failed to log addition of listener
metacity (Failed: Failed to open gconfd logfile; won't be able to restore
listeners after gconfd shutdown (No such file or directory));will not be able to
restore this listener on gconfd restart, resulting in unreliable notification of
configuration changes.
Nov 21 06:41:24 jik2 gconfd (gdm-3263): Failed to log addition of listener
gdm-simple-greeter (Failed: Failed to open gconfd logfile; won't be able to
restore listeners after gconfd shutdown (No such file or directory));will not be
able to restore this listener on gconfd restart, resulting in unreliable
notification of configuration changes.
Nov 21 06:41:24 jik2 gdm-simple-greeter[3258]: libgnomevfs-WARNING: Unable to
create ~/.gnome2 directory: Permission denied
Nov 21 06:41:24 jik2 gdm-simple-greeter[3258]: GLib-CRITICAL:
g_hash_table_lookup: assertion `hash_table != NULL' failed#012aborting...
Nov 21 06:41:52 jik2 gconfd (gdm-3263): Failed to open saved state file: Failed:
Failed to open gconfd logfile; won't be able to restore listeners after gconfd
shutdown (No such file or directory)
Nov 21 06:41:52 jik2 gconfd (gdm-3263): Could not open saved state file
'/var/lib/gdm/.gconfd/saved_state.tmp' for writing: No such file or directory

Downgrading to gdm-2.21.2-0.2007.11.14.1.fc9 makes the problem go away.
Comment 1 Ray Strode [halfline] 2007-11-29 10:56:18 EST
I think this particular problem has been fixed.  You'll probably run into other
problems though as the new gdm is still being written (see the fedora-devel-list
post I sent a couple of weeks ago for more details)

Note You need to log in before you can comment on or make changes to this bug.